Summary: An X Window System graphical interface for the GNU gdb debugger.
Name: xxgdb
Version: 1.12
Release: 16
Copyright: MIT
Group: Development/Debuggers
Source: ftp://ftp.x.org/contrib/applications/xxgdb-1.12.tar.gz
Patch: xxgdb-1.08-glibc.patch
Patch1: xxgdb-1.12-sysv.patch
Patch2: xxgdb-1.12-compat21.patch
BuildRoot: /var/tmp/%{name}-root
Requires: gdb

%description
Xxgdb is an X Window System graphical interface to the GNU gdb
debugger.  Xxgdb provides visual feedback and supports a mouse
interface for the user who wants to perform debugging tasks like the
following: controlling program execution through breakpoints,
examining and traversing the function call stack, displaying values of
variables and data structures, and browsing source files and
functions.

Install the xxgdb package if you'd like to use a graphical interface
with the GNU gdb debugger.  You'll also need to have the gdb package
installed.

%prep
%setup -q -n xxgdb-1.12
%patch0 -p1
%patch1 -p0
%patch2 -p1 -b .compat21

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install install.man

( cd $RPM_BUILD_ROOT
  mkdir -p ./etc/X11/applnk/Applications
  cat > ./etc/X11/applnk/Applications/xxgdb.desktop <<EOF
[Desktop Entry]
Name=xxgdb
Type=Application
Comment=bare-bones graphical debugger
Icon=debug2_3d.xpm
MiniIcon=mini-bug1.xpm
Exec=xxgdb
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xxgdb
/usr/X11R6/lib/X11/app-defaults/XDbx
/usr/X11R6/man/man1/xxgdb.*
%config(missingok) /etc/X11/applnk/Applications/xxgdb.desktop

%changelog
* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun  2 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for 7.0

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- fix for new version of patch

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan 14 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for Red Hat 6.2.

* Wed Mar 23 1999 Michael Maher <mike@redhat.com>
- added requires for gdb

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- patch around i386 wchar_t glibc-2.1 typedef.

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- change wmconfig group to utilities
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Feb  9 1998 Otto Hammersmith <otto@redhat.com>
- fixed wmconfig entry

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url
- added wmconfig entries
- removed prefix line ... can't have it with wmconfig file :(

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
